shift off the leading `_'
authorJim Meyering <jim@meyering.net>
Fri, 11 May 2001 09:14:22 +0000 (09:14 +0000)
committerJim Meyering <jim@meyering.net>
Fri, 11 May 2001 09:14:22 +0000 (09:14 +0000)
tests/chown/basic [new file with mode: 0755]

diff --git a/tests/chown/basic b/tests/chown/basic
new file mode 100755 (executable)
index 0000000..6f09f8c
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/sh
+# make sure chown --from=... works
+
+if test "$VERBOSE" = yes; then
+  set -x
+  chgrp --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+. $srcdir/../root-only
+
+pwd=`pwd`
+tmp=basic.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch f || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework' 1>&2
+  (exit 1); exit
+fi
+
+fail=0
+chown 0:1 f
+
+# Make sure the owner and group are 0 and 1 respectively.
+set _ `ls -n f`; shift; test "$3:$4" = 0:1 || fail=1
+
+chown --from=0:1 2:3 f || fail=1
+
+# And now they should be 2 and 3 respectively.
+set _ `ls -n f`; shift; test "$3:$4" = 2:3 || fail=1
+
+(exit $fail); exit